package org.nakedobjects.nos.store.hibernate.nof2hbm;

import org.apache.log4j.Level;
import org.apache.log4j.Logger;
import org.nakedobjects.nos.store.hibernate.testobjects.BiDirectional;
import org.nakedobjects.nos.store.hibernate.testobjects.SimpleSubClass;


public class ExportTestObjects {

	public static void main(String[] args) {
        Logger.getRootLogger().setLevel(Level.OFF);
        TestSystem system = new TestSystem();
        system.init();
        system.addSpecification(BiDirectional.class.getName());
		system.addSpecification(SimpleSubClass.class.getName());
        String dir = ".";
        if (args.length > 0) {
        	dir = args[0];
        }
		new Nof2HbmXml().exportHbmXml(dir);
		system.shutdown();
	}
}
// Copyright (c) Naked Objects Group Ltd.